NTRUHRSSParameterSet (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.math.ntru.parameters

## Class NTRUHRSSParameterSet

- java.lang.Object
- - org.bouncycastle.pqc.math.ntru.parameters.NTRUParameterSet
  - - org.bouncycastle.pqc.math.ntru.parameters.NTRUHRSSParameterSet

- Direct Known Subclasses:
    NTRUHRSS1373, NTRUHRSS701

      public abstract class NTRUHRSSParameterSet
      extends NTRUParameterSet

  Abstract class for NTRU-HRSS parameter classes.

  The naming convention for the classes is `NTRUHRSS[n]`. e.g. `NTRUHRSS701` has n = 701.

  See Also:
    `NTRUHRSS701`, NTRU specification document section 1.3.3

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Polynomial` | `createPolynomial()` Creates a polynomial based on this parameter set.
    `int` | `sampleFgBytes()`
    `int` | `sampleRmBytes()`

    - ### Methods inherited from class org.bouncycastle.pqc.math.ntru.parameters.NTRUParameterSet

      `logQ, n, ntruCiphertextBytes, ntruPublicKeyBytes, ntruSecretKeyBytes, owcpaBytes, owcpaMsgBytes, owcpaPublicKeyBytes, owcpaSecretKeyBytes, packDegree, packTrinaryBytes, prfKeyBytes, q, sampleFixedTypeBytes, sampleIidBytes, seedBytes, sharedKeyBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createPolynomial

          public Polynomial createPolynomial()

      Description copied from class: `NTRUParameterSet`
      Creates a polynomial based on this parameter set.
      Specified by:
        `createPolynomial` in class `NTRUParameterSet`
      Returns:
        an instance of `Polynomial`

    - #### sampleFgBytes

          public int sampleFgBytes()

      Specified by:
        `sampleFgBytes` in class `NTRUParameterSet`
      Returns:
        `sample_key_bits/8`

    - #### sampleRmBytes

          public int sampleRmBytes()

      Specified by:
        `sampleRmBytes` in class `NTRUParameterSet`
      Returns:
        `sample_plaintext_bits/8`